Legato 16.04 - Developer Studio 4.1


#1

Hi all,

Please note that Legato 16.04 bundles for WP8548 are now available.

These bundles are both usable for Linux command line Legato apps development and for new Developer Studio 4.1 IDE (Linux and Windows).

Fresh install

If you need (or prefer) to do a fresh install, please refer to these Getting Started pages:
[ul]
[li] Legato Application Development Kit for Linux host[/li]
[li] Legato Application Development Kit for Windows host[/li][/ul]

Developer Studio Upgrade

If you’re already running Developer Studio 4.X, you may want to upgrade to Developer Studio 4.1
Developer Studio 4.1 is compatible with Legato versions from 16.01 to 16.04, and is mandatory to use Legato 16.04 packages.
Update to Developer Studio 4.1 shall be proposed when you start the IDE; you just need to accept the upgrade.

CLI tools upgrade

If you’re using CLI tools for Legato apps development, you can upgrade by running these steps:
[ul]
[li] Refer to legato-spm page to upgrade to the latest tool version[/li]
[li] Use legato-spm command to install the latest packages version[/li][/ul]

Notes

[ul]
[li] If you are running Developer Studio 3.X, please refer to this post for migration instructions: viewtopic.php?f=177&t=9556[/li]
[li] On Windows hosts, we continue - so far - to recommend installing a VM to develop Legato apps inside a Linux box.
Other solutions are under study for future Developer Studio versions.[/li][/ul]

Enjoy using these new Legato and Developer Studio versions!